madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000256madVRbugpublic2015-03-01 08:192015-03-14 14:59
ReporterTheRyuu 
Assigned Tomadshi 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
Platformx86_64OSWindowsOS Version8.1 Update 3
Summary0000256: madVR binaries missing security flags (DllCharacteristics)
Descriptiontl;dr madVR is missing /NXCOMPAT and /DYNAMICBASE linker flags. Please link with these flags, they've been enabled by default since Visual Studio 2008.

I reported this a while ago in the doom9 thread but nothing ever came of it so I may as well make a ticket for this since I made an account here to report something else.

madVR is missing the NXCOMPAT and DYNAMICBASE flags which should be enabled by default with Visual Studio 2008 and newer. I believe it was said in the doom9 thread that you (madshi) was using vs2005 which can be one reason they're not set by default. Other linkers (binutils with mingw-w64) also do not enable these flags by default.

I believe all the madVR binaries are lacking them although I haven't checked them all. The executable files are missing a reloc section entirely.

My recommendation would be to update to a newer version of visual studio if possible (better buffer security checks among many other things) otherwise please set the linker flags as a temporary measure.
Steps To ReproduceNot really anything to reproduce but for anyone curious you can look at the output of dumpbin /headers to see what I'm talking about.
Additional InformationThis can be mitigated against by using the Force ASLR feature in Windows 7 (with kb2639308[1]) and 8/8.1 by adding mpc-hc.exe (or your player of choice) under the application specific IFEO registry entry (also described in [1]) and setting it to 0x100 (force relocation if a reloc section is present).

[1] https://support.microsoft.com/kb/2639308 [^]
TagsNo tags attached.
madVR Version0.87.11
Media Player (with version info)mpc-hc 1.7.7.174 (cccp 2014-12-25 beta)
Splitter (with version info)LAVSplitter 0.63.0.0 (cccp 2014-12-25 beta)
Decoder (with version info)LAVVideo 0.63.0.0 (cccp 2014-12-25 beta)
DecodingSoftware
Deinterlacingnone (progressive)
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modeall modes
GPU ManufacturerNVidia
GPU ModelGTX 780 Ti
GPU Driver Version347.52
Attached Files

- Relationships

-  Notes
(0000736)
madshi (administrator)
2015-03-14 14:59

As explained in the forum, I don't consider this a bug, and I don't plan to change this in the near future. Maybe after v1.0 is released, but not before. Sorry...

- Issue History
Date Modified Username Field Change
2015-03-01 08:19 TheRyuu New Issue
2015-03-14 14:59 madshi Note Added: 0000736
2015-03-14 14:59 madshi Status new => closed
2015-03-14 14:59 madshi Assigned To => madshi
2015-03-14 14:59 madshi Resolution open => fixed
2015-03-14 14:59 madshi Resolution fixed => no change required


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker